> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Run

> Cancel Run



## OpenAPI

````yaml /api-reference/openapi.json post /v1/jobs/runs/{run_id}/cancel
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v1/jobs/runs/{run_id}/cancel:
    post:
      tags:
        - Jobs
      summary: Cancel Run
      description: Cancel Run
      operationId: cancel_run_v1_jobs_runs__run_id__cancel_post
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: token
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobRunCancelResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    JobRunCancelResponse:
      properties:
        id:
          type: string
          pattern: ^run_[1-9][0-9]*$
          title: Id
          description: Identifier of the cancelled run.
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - SUCCESS
            - FAILED
            - CANCELLED
            - TIMEOUT
            - WARNING
          title: Status
          description: Run status after cancellation.
      type: object
      required:
        - id
        - status
      title: JobRunCancelResponse
      description: Result of cancelling a run.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````